# wgetrc or .wgetrc - "wget" configuration file

# You can use this file to change  the default behaviour of  "wget" or
# to  avoid having to type  numerous  command-line options.  This file
# doesn't contain a comprehensive list of commands -- look at the man-
# ual to find out what you can use here.

# If a copy of this file is stored at:
#
# __META_PREFIX__/etc/wgetrc
#
# the settings in it are global; they affect all users. Alternatively,
# if a copy is stored at:
#
#     $HOME/.wgetrc
#
# where $HOME is the home directory for a single user, the settings in
# it are local; they affect just the user in question.

# To use the settings in this file,  you will have to  uncomment them,
# as well as change them, in most cases, as the values on the comment-
# ed-out lines are generally the default values.

# Settings that may be global:

# Specify SSL certificates authentication file
#
ca_certificate=__META_PREFIX__/etc/ca-bundle.crt

# You can set retrieve quota for beginners by  specifying a value opt-
# ionally followed by 'K' (kilobytes) or 'M' (megabytes).  The default
# quota is unlimited.
#
# quota = inf

# You can lower  (or raise) the default  number of retries  when down-
# loading a file (default is 20).
#
tries = 10

# Lowering the  maximum depth of recursive retrieval is  handy to pre-
# vent newbies from going too "deep" by accident. The default is 5.
#
# reclevel = 5

# By default, "wget" uses "passive FTP" transfer where the client ini-
# tiates the data connection to the server rather than  the other  way
# around. This is required on systems behind NAT where the client com-
# puter  cannot be  easily reached  from  the Internet.  However, some
# firewall software  explicitly  supports  active FTP and  in fact has
# problems with passive transfer.  If you are  in such an environment,
# use "passive_ftp = off" to revert to active FTP.
#
passive_ftp = on

# The "wait" setting discussed at a later point makes  "wget" wait be-
# tween connections for the specified number of seconds.  If, instead,
# you want "wget" to wait only between  retries  of  failed downloads,
# set "waitretry" to the  maximum number  of seconds to  wait.  "wget"
# will use "linear backoff", waiting 1 second after  the first failure
# for a given transfer, 2 seconds after  the second failure, etc.,  up
# to the indicated maximum value.
#
# waitretry = 10

# Settings that are usually local (i.e., only used in $HOME/.wgetrc):

# It's *highly* undesirable to  uncomment these settings in the global
# copy of this file,  since they're  potentially dangerous to "normal"
# users. Even when setting up your own $HOME/.wgetrc,  you should know
# what you're doing before proceeding.

# Set this to on to use timestamping by default:
#
# timestamping = off

# It's a  good idea to make Wget send your email address  in a `From:'
# header with your request  (so that server administrators can contact
# you in case of errors). "wget" does *not* send `From:' by default.
#
# header = From: Your Name <username@site.domain>

# You can set up other headers, like Accept-Language.  Accept-Language
# is *not* sent by default.
#
# header = Accept-Language: en

# You can set the  default proxies for  "wget" to use for http, https,
# and ftp.They will override the value in the environment.
#
# https_proxy = http://proxy.yoyodyne.com:18023/
# http_proxy = http://proxy.yoyodyne.com:18023/
# ftp_proxy = http://proxy.yoyodyne.com:18023/

# If you do not want to use a proxy at all, set this to off.
#
# use_proxy = on

# You can customize the retrieval outlook.  Valid options are default,
# binary, mega and micro.
#
# dot_style = default

# Setting this to off makes  "wget" not download /robots.txt.  Be sure
# you know exactly what  /robots.txt is and  how it is used before you
# change the default setting.
#
# robots = on

# It can be useful to make Wget wait between connections.  Set this to
# the number of seconds you want Wget to wait.
#
# wait = 0

# You can force creating directory structure, even if a single file is
# being retrieved, by setting this to on.
#
# dirstruct = off

# You can turn on  recursive retrieval by default.  To do so, set this
# parameter to on.  Don't  do this if you're not  sure  you understand
# what it means.
#
# recursive = off

# To always back up file X as X.orig before converting its links  (due
# to -k / --convert-links / convert_links = on having been specified),
# set this variable to on:
#
# backup_converted = off

# To have "wget" follow FTP links from HTML files by default, set this
# to on:
#
# follow_ftp = off

# To try ipv6 addresses first:
#
# prefer-family = IPv6

# Set default IRI support state
#
# iri = off

# Force the default system encoding
#
# locale = UTF-8

# Force the default remote server encoding
#
# remoteencoding = UTF-8
